# vikunja-on-alpine

Just a few sentences about my vikunja setup.

First we setup our environment.

```
# add user vor vikunja
adduser vikunja --shell /sbin/nologin
# setup dirs
mkdir -p /opt/vikunja
mkdir -p /var/lib/vikunja
mkdir -p /etc/vikunja
chown vikunja:vikunja /var/lib/vikunja
```

Now we can download and install the binary as descripted here: https://vikunja.io/docs/installing
But we will not link it to */usr/bin/*.
Copy the sample config inside the unziped dir.

```
cp /opt/vikunja/config.yml.sample /etc/vikunja/config.yml
```
To keep files inside */var/lib/vikunja* we search for *rootpath* inside the config.
It should become ```rootpath: /var/lib/vikunja```
Further edit it, so it fits your needs. See the docs here: https://vikunja.io/docs/config-options

After everything is set up it's time for our init script.
Let's either download the initfile from *init.d/* or copy it to a file namend */etc/init.d/vikunja*. Don't forget to make it executeable.

```
chmod +x /etc/init.d/vikunja
```

It's time to start vikunja the first time.
```
rc-service vikunja start
```
If everything is working as espected you can enable vikunja to start it automaticaly.
```
rc-update add vikunja
```
